| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
StdoutErrConsumer Class Reference

`#include <StdoutErrConsumer.hpp>`

Inheritance diagram for StdoutErrConsumer:
[legend]

## Public Member Functions

virtual | ~StdoutErrConsumer ()=default
virtual FASTDDS_EXPORTED_API void | stderr_threshold (const Log::Kind &kind)
| Set the stderr_threshold to a Log::Kind.
virtual FASTDDS_EXPORTED_API Log::Kind | stderr_threshold () const
| Retrieve the stderr_threshold.
Public Member Functions inherited from OStreamConsumer
virtual | ~OStreamConsumer ()=default
FASTDDS_EXPORTED_API void | Consume (const Log::Entry &entry) override
Public Member Functions inherited from LogConsumer
virtual | ~LogConsumer ()=default

## Static Public Attributes

static constexpr Log::Kind | STDERR_THRESHOLD_DEFAULT = Log::Kind::Warning
| Default value of stderr_threshold.

## Protected Member Functions

virtual FASTDDS_EXPORTED_API std::ostream & | get_stream (const Log::Entry &entry) override
Protected Member Functions inherited from LogConsumer
FASTDDS_EXPORTED_API void | print_timestamp (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_header (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_context (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_message (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_new_line (std::ostream &stream, bool color) const

## Constructor & Destructor Documentation

## ◆ ~StdoutErrConsumer()

virtual ~StdoutErrConsumer | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ get_stream()

virtual FASTDDS_EXPORTED_API std::ostream & get_stream | ( | const Log::Entry & | entry | ) |

override protected virtual

Implements OStreamConsumer.

## ◆ stderr_threshold() [1/2]

virtual FASTDDS_EXPORTED_API Log::Kind stderr_threshold | ( |  | ) | const

virtual

Retrieve the stderr_threshold.

Returns
  The Log::Kind to which stderr_threshold is set.

## ◆ stderr_threshold() [2/2]

virtual FASTDDS_EXPORTED_API void stderr_threshold | ( | const Log::Kind & | kind | ) |

virtual

Set the stderr_threshold to a Log::Kind.

This threshold decides which log messages are output on STDOUT, and which are output to STDERR. Log messages with a Log::Kind equal to or more severe than the stderr_threshold are output to STDERR using std::cerr. Log messages with a Log::Kind less severe than the stderr_threshold are output to STDOUT using std::cout.

Parameters

  kind | The Log::Kind to which stderr_threshold is set.

## Member Data Documentation

## ◆ STDERR_THRESHOLD_DEFAULT

Log::Kind STDERR_THRESHOLD_DEFAULT = Log::Kind::Warning

static constexpr

Default value of stderr_threshold.

The documentation for this class was generated from the following file:

- include/fastdds/dds/log/StdoutErrConsumer.hpp